using System.Text.Json;

namespace Barcode.Host.Server.Models;

public record AppSettings(string ApiExportPath,
                          string ApiLoggingContentTypes,
                          string ApiLoggingPathPrefixes,
                          string ApiLogPath,
                          string ApiUrl,
                          string AttachmentPath,
                          string BuildNumber,
                          string Company,
                          string ConnectionString,
                          string GitCommitSeven,
                          string InboundApiAllowedIPList,
                          bool IsDevelopment,
                          bool IsStaging,
                          string MockRoot,
                          string MonAResource,
                          string MonASite,
                          string OI2SqlConnectionString,
                          string OIExportPath,
                          string URLs,
                          string WorkingDirectoryName)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, new JsonSerializerOptions() { WriteIndented = true });
        return result;
    }

}